Foreman - Bug #22117

Add support for specifying number for sockets for oVirt
01/02/2018 05:40 PM - lvan Necas

Status: Closed
Priority: Normal
Assignee: Shira Maximov
Category: Compute resources - oVirt
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1458754 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5425,
https://github.com/theforeman/foreman/p
ull/5738
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1458754

It should be possible to specify the number of sockets to be set
for the VM. Setting 2 cores and 9 sockets should lead to
having 9 sockets, each with 2 cores, so the total number or cores would be 18.

The topology element should be <topology cores="2" sockets="9"/>

Related issues:
Related to Foreman - Bug #23916: Create Host -> RHEV Image: Incorrect CPU cor... Closed
Related to Foreman - Bug #24219: The empty field for sockets (which is the de... Duplicate

07/10/2018

Associated revisions

Revision 073046¢c - 04/11/2018 01:54 PM - Shira Maximov

Fixes #22117 - Add support for number of sockets for ovirt

Revision 04ae1269 - 06/19/2018 12:41 PM - Shira Maximov

Fixes #22117 - Add support for number of sockets for ovirt

History

#1 - 01/02/2018 05:41 PM - lvan Necas

- Subject changed from Add support for specifying number for sockets for oVirt
to Add support for specifying number for sockets for oVirt

- Assignee deleted (Marek Hulan)

- Target version set to 113

#2 - 04/10/2018 10:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5425 added

#3 - 04/11/2018 02:02 PM - Shira Maximov
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 073046ccd8c469633e4calc345038b26bd156895.

#4 - 06/13/2018 11:55 AM - Ori Rabin

05/18/2024
https://bugzilla.redhat.com/show_bug.cgi?id=1458754
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/073046ccd8c469633e4ca1c345038b26bd156895

- Related to Bug #23916: Create Host -> RHEV Image: Incorrect CPU cores count filled when using APIv4 added

#5 - 06/19/2018 12:41 PM - Ondfej Prazak

- translation missing: en.field_release set to 330

#6 - 06/25/2018 02:19 PM - The Foreman Bot
- Assignee set to Ondrej PraZzak

- Pull request https://github.com/theforeman/foreman/pull/5738 added

#7 - 07/10/2018 10:48 AM - Ivan Necas
- Related to Bug #24219: The empty field for sockets (which is the default) causes ovirt provisioning to fail added

#8 - 09/06/2018 07:29 AM - Tomer Brisker
- Assignee changed from Ondrej PraZak to Shira Maximov

- Triaged set to No
